Connect with us:

You must have a v5 license (or demo) on your iLok2 to authorize the installers below.

For use with Pro Tools 10.3.8 and 11.1.3 or higher.
S3L versions require VENUE OS 4.1.3 or higher.

HD v5 software installs:

  • AAX DSP
  • AAX Native
  • TDM
  • RTAS
  • AU
  • AS

Native v5 software installs:

  • AAX Native
  • RTAS
  • AU
  • AS

Latest versions: AAX (5.3‌x18), TDM/RTAS (5.1‌x2), AU (5.1.1), S3L (5.3.0.20)
*denotes AAX DSP/Native only at this time

BUNDLE INSTALLERS HD Native
McDSP HD Installer v5
(Everything, Emerald, Classic & Retro Packs)
McDSP Native Installer v5
(Everything, Emerald, Classic & Retro Packs)
McDSP VENUE S3L / D-SHOW Installer v5
INDIVIDUAL PRODUCT INSTALLERS HD Native
4020 Retro EQ v5
4030 Retro Compressor v5
4040 Retro Limiter v5
6020 Ultimate EQ v5 *
6030 Ultimate Compressor v5
AE400 Active EQ v5 *
Analog Channel v5
Channel G v5
Channel G Surround v5
Channel G Compact v5
CompressorBank v5
DE555 v5
FilterBank v5
FutzBox v5
MC2000 v5
ML4000 v5
NF575 v5
Revolver v5
Revolver Expanded Impulse Library Vol 1.2
SPC2000 v5 *